%global modname markupsafe

Name: python3-%{modname}
Version: 1.1.0
Release: 2%{?dist}
Summary: Implements a XML/HTML/XHTML Markup safe string for Python

License: BSD
URL: https://pypi.org/project/MarkupSafe/
Source0: https://files.pythonhosted.org/packages/ac/7e/1b4c2e05809a4414ebce0892fe1e32c14ace86ca7d50c70f00979ca9b3a3/MarkupSafe-%{version}.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-setuptools
Obsoletes:     python%{python3_pkgversion}-%{modname} < %{version}-%{release}
Provides:      python%{python3_pkgversion}-%{modname} = %{version}-%{release}

%description
A library for safe markup escaping.

%prep
%setup -q -n MarkupSafe-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitearch}/*

%changelog
* Mon Nov 11 2019 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 1.1.0-2
- Rename to python3, remove python34 and provide python36

* Mon Jan 07 2019 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 1.1.0-1
- Update to 1.1.0
- Rebuild with python34 and python36 for COPR EL7

* Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 0.23-1
- Initial EPEL package
